Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdfa
Class RDFa11ParserTest

    java.lang.Object
      org.apache.any23.extractor.rdfa.RDFa11ParserTest

    public class RDFa11ParserTest

extends Object

Author:
  Michele Mostarda (mostarda@fbk.eu)

Constructor Summary
`RDFa11ParserTest()`

Method Summary
`void` | `testExtractPrefixSections()`
`void` | `testGetAsPlainLiteral()`
`void` | `testGetAsXMLLiteral()`
`void` | `testGetDocumentBase()`
`void` | `testIsCURIEBNodeNegative()`
`void` | `testIsCURIEBNodePositive()`
`void` | `testIsCURIENegative()`
`void` | `testIsCURIEPositive()`
`void` | `testIsRelativeNegative()`
`void` | `testIsRelativePositive1()`
`void` | `testIsRelativePositive2()`
`void` | `testUpdateURIMapping()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFa11ParserTest

    public RDFa11ParserTest()

Method Detail

### testGetDocumentBase

    public void testGetDocumentBase()
                             throws MalformedURLException

  Throws:
    `MalformedURLException`

### testExtractPrefixSections

    public void testExtractPrefixSections()

### testIsCURIEPositive

    public void testIsCURIEPositive()

### testIsCURIENegative

    public void testIsCURIENegative()

### testIsCURIEBNodePositive

    public void testIsCURIEBNodePositive()

### testIsCURIEBNodeNegative

    public void testIsCURIEBNodeNegative()

### testIsRelativeNegative

    public void testIsRelativeNegative()

### testIsRelativePositive1

    public void testIsRelativePositive1()
                                 throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### testIsRelativePositive2

    public void testIsRelativePositive2()
                                 throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### testUpdateURIMapping

    public void testUpdateURIMapping()
                              throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### testGetAsPlainLiteral

    public void testGetAsPlainLiteral()
                               throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### testGetAsXMLLiteral

    public void testGetAsXMLLiteral()
                             throws ParserConfigurationException,
                                    IOException,
                                    TransformerException

  Throws:
    `ParserConfigurationException`
    `IOException`
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.